CREATE TABLE "plarmusers" (
  "ID" int DEFAULT NULL,
  "username" varchar2(60) NOT NULL,
  CONSTRAINT "PriKey_plarmusers" PRIMARY KEY ("username")
);

INSERT INTO "plarmusers" ("username") VALUES ('Admin');

CREATE TABLE "plarmgroups" (
  "ID" int DEFAULT NULL,
  "groupname" varchar2(60) NOT NULL,
  CONSTRAINT "PriKey_plarmgroups" PRIMARY KEY ("groupname")
);

CREATE TABLE "colfilescaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_colfilescaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiescatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colfilesfolers" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "parent" int DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colfilesfolers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiesfolrsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesfolrsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colfiesfolrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colfilesfiles" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "folder" int NOT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "filenum" varchar2(255) DEFAULT NULL,
  "status" smallint DEFAULT '0',
  "description" clob DEFAULT NULL,
  "versioncount" int DEFAULT '0',
  CONSTRAINT "PriKey_colfilesfiles" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiesfilescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesfilesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesfilesfolder" FOREIGN KEY ("folder") REFERENCES "colfilesfolers" ("ID"),
  CONSTRAINT "ForKey_colfiesfilescatory" FOREIGN KEY ("category") REFERENCES "colfilescaties" ("ID")
);

CREATE TABLE "colfilesitems" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "file" int NOT NULL,
  "filename" varchar2(255) DEFAULT NULL,
  "version" varchar2(255) DEFAULT NULL,
  "mimetype" varchar2(255) DEFAULT NULL,
  "size" int DEFAULT '0',
  "comment" clob DEFAULT NULL,
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_colfilesitems" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiesitemscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesitemsfile" FOREIGN KEY ("file") REFERENCES "colfilesfiles" ("ID")
);

CREATE TABLE "colfilesjounal" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "file" int NOT NULL,
  "date" int DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colfilesjounal" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiesjoualcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesjoualfile" FOREIGN KEY ("file") REFERENCES "colfilesfiles" ("ID")
);

CREATE TABLE "colfilesshouts" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "creationdate" int DEFAULT '0',
  "file" int NOT NULL,
  CONSTRAINT "PriKey_colfilesshouts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfiesshotsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfiesshotsfile" FOREIGN KEY ("file") REFERENCES "colfilesfiles" ("ID")
);

CREATE TABLE "colformscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_colformscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colformsforums" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "category" int DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "lastentry" int DEFAULT '0',
  CONSTRAINT "PriKey_colformsforums" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomsformsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colfomsformscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomsformsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomsformscatory" FOREIGN KEY ("category") REFERENCES "colformscaties" ("ID")
);

CREATE TABLE "colformstopics" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "forum" int NOT NULL,
  "title" varchar2(255) DEFAULT NULL,
  "lastentry" int DEFAULT '0',
  CONSTRAINT "PriKey_colformstopics" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomstopcscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomstopcsforum" FOREIGN KEY ("forum") REFERENCES "colformsforums" ("ID")
);

CREATE TABLE "colformsenties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "topic" int NOT NULL,
  "flag" smallint DEFAULT '0',
  "text" clob DEFAULT NULL,
  "attachname" varchar2(255) DEFAULT NULL,
  "attachmimetype" varchar2(255) DEFAULT NULL,
  "attachbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_colformsenties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomsentescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomsentestopic" FOREIGN KEY ("topic") REFERENCES "colformstopics" ("ID")
);

CREATE TABLE "colformsnotify" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "forum" int NOT NULL,
  CONSTRAINT "PriKey_colformsnotify" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomsnotfyownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomsnotfyforum" FOREIGN KEY ("forum") REFERENCES "colformsforums" ("ID")
);

CREATE TABLE "colformsview" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "forum" int NOT NULL,
  CONSTRAINT "PriKey_colformsview" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colfomsviewownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colfomsviewforum" FOREIGN KEY ("forum") REFERENCES "colformsforums" ("ID")
);

CREATE TABLE "colmesesfolers" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "parent" int DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colmesesfolers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesfolrsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesfolrsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colmeesfolrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colmesesaccnts" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "activity" smallint DEFAULT '0',
  "default" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "email" varchar2(255) DEFAULT NULL,
  "server" varchar2(255) DEFAULT NULL,
  "port" smallint DEFAULT '0',
  "protocol" varchar2(255) DEFAULT NULL,
  "username" varchar2(255) DEFAULT NULL,
  "password" varchar2(255) DEFAULT NULL,
  "movetoprimary" smallint DEFAULT '0',
  "moveto" int DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "leavemsg" smallint DEFAULT '0',
  "folder_drafts" varchar2(255) DEFAULT NULL,
  "folder_outbox" varchar2(255) DEFAULT NULL,
  "folder_sent" varchar2(255) DEFAULT NULL,
  "usefolder_trash" smallint DEFAULT '0',
  "folder_trash" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_colmesesaccnts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesacctsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesacctsmoveto" FOREIGN KEY ("moveto") REFERENCES "colmesesfolers" ("ID")
);

CREATE TABLE "colmesestemtes" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "default" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colmesestemtes" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeestemesownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeestemesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colmeestemescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colmesesmaists" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "template" int DEFAULT NULL,
  "title" varchar2(255) DEFAULT NULL,
  "status" smallint DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "sender" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colmesesmaists" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesmaitsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmaitsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colmeesmaitscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmaitsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmaitstemate" FOREIGN KEY ("template") REFERENCES "colmesestemtes" ("ID")
);

CREATE TABLE "orgcontscomies" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60)  DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "deleted" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "director" varchar2(255) DEFAULT NULL,
  "traderegister" varchar2(255) DEFAULT NULL,
  "taxcode" varchar2(255) DEFAULT NULL,
  "address" varchar2(255) DEFAULT NULL,
  "postalcode" varchar2(255) DEFAULT NULL,
  "city" varchar2(255) DEFAULT NULL,
  "region" varchar2(255) DEFAULT NULL,
  "country" varchar2(255) DEFAULT NULL,
  "phone" varchar2(255) DEFAULT NULL,
  "phone2" varchar2(255) DEFAULT NULL,
  "fax" varchar2(255) DEFAULT NULL,
  "fax2" varchar2(255) DEFAULT NULL,
  "email" varchar2(255) DEFAULT NULL,
  "website" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_orgcontscomies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcotscomesownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcotscomesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgcotscomescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcotscomesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colmesescomies" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "mailinglist" int NOT NULL,
  "company" int NOT NULL,
  CONSTRAINT "PriKey_colmesescomies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeescomescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeescomesmaiist" FOREIGN KEY ("mailinglist") REFERENCES "colmesesmaists" ("ID"),
  CONSTRAINT "ForKey_colmeescomescomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID")
);

CREATE TABLE "colmesesmaings" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "mailinglist" int NOT NULL,
  "flag" smallint DEFAULT '0',
  "date" int DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "sender" varchar2(255) DEFAULT NULL,
  "sender_name" varchar2(255) DEFAULT NULL,
  "contenttype" varchar2(255) DEFAULT NULL,
  "abstract" clob DEFAULT NULL,
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_colmesesmaings" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesmaigscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmaigsmaiist" FOREIGN KEY ("mailinglist") REFERENCES "colmesesmaists" ("ID")
);

CREATE TABLE "colmesesmesges" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "account" int DEFAULT NULL,
  "primaryfolder" smallint DEFAULT '0',
  "folder" int DEFAULT NULL,
  "flag" smallint DEFAULT '0',
  "date" int DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "sender" varchar2(255) DEFAULT NULL,
  "sender_name" varchar2(255) DEFAULT NULL,
  "to" varchar2(255) DEFAULT NULL,
  "to_name" varchar2(255) DEFAULT NULL,
  "cc" varchar2(255) DEFAULT NULL,
  "bcc" varchar2(255) DEFAULT NULL,
  "reply_to" varchar2(255) DEFAULT NULL,
  "count_to" int DEFAULT '0',
  "contenttype" varchar2(255) DEFAULT NULL,
  "abstract" clob DEFAULT NULL,
  "answeredmessage" int DEFAULT NULL,
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_colmesesmesges" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesmesesownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmesesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colmeesmesescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeesmesesaccunt" FOREIGN KEY ("account") REFERENCES "colmesesaccnts" ("ID"),
  CONSTRAINT "ForKey_colmeesmesesfolder" FOREIGN KEY ("folder") REFERENCES "colmesesfolers" ("ID")
);

CREATE TABLE "colmesesmsglog" (
  "ID" int DEFAULT '0',
  "account" int NOT NULL,
  "uid" int DEFAULT '0',
  CONSTRAINT "PriKey_colmesesmsglog" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeesmsgogaccunt" FOREIGN KEY ("account") REFERENCES "colmesesaccnts" ("ID")
);

CREATE TABLE "orgcontspeople" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "deleted" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "lastname" varchar2(255) DEFAULT NULL,
  "firstname" varchar2(255) DEFAULT NULL,
  "title" varchar2(255) DEFAULT NULL,
  "company" varchar2(255) DEFAULT NULL,
  "position" varchar2(255) DEFAULT NULL,
  "workgroup" varchar2(255) DEFAULT NULL,
  "address" varchar2(255) DEFAULT NULL,
  "postalcode" varchar2(255) DEFAULT NULL,
  "city" varchar2(255) DEFAULT NULL,
  "region" varchar2(255) DEFAULT NULL,
  "country" varchar2(255) DEFAULT NULL,
  "phone" varchar2(255) DEFAULT NULL,
  "phone2" varchar2(255) DEFAULT NULL,
  "cell" varchar2(255) DEFAULT NULL,
  "fax" varchar2(255) DEFAULT NULL,
  "fax2" varchar2(255) DEFAULT NULL,
  "pager" varchar2(255) DEFAULT NULL,
  "iptel" varchar2(255) DEFAULT NULL,
  "email" varchar2(255) DEFAULT NULL,
  "usebirthdate" smallint DEFAULT '0',
  "birthdate" int DEFAULT '0',
  "description" clob DEFAULT NULL,
  "picbinfile" varchar2(32) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_orgcontspeople" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcotspeoleownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcotspeoleownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgcotspeolecretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcotspeoleassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colmesespeople" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "mailinglist" int NOT NULL,
  "person" int NOT NULL,
  CONSTRAINT "PriKey_colmesespeople" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colmeespeolecretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colmeespeolemaiist" FOREIGN KEY ("mailinglist") REFERENCES "colmesesmaists" ("ID"),
  CONSTRAINT "ForKey_colmeespeoleperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID")
);

CREATE TABLE "colnewschaels" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "type" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "newsfeed" varchar2(255) DEFAULT NULL,
  "link" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colnewschaels" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colnewschalsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colnewschalsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colnewschalscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "colnewsnewems" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "channel" int DEFAULT NULL,
  "title" varchar2(255) DEFAULT NULL,
  "pubdate" int DEFAULT '0',
  "link" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_colnewsnewems" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colnewsnewmsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colnewsnewmsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_colnewsnewmscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colnewsnewmschanel" FOREIGN KEY ("channel") REFERENCES "colnewschaels" ("ID")
);

CREATE TABLE "colnewsview" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "channel" int NOT NULL,
  CONSTRAINT "PriKey_colnewsview" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_colnewsviewownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_colnewsviewchanel" FOREIGN KEY ("channel") REFERENCES "colnewschaels" ("ID")
);

CREATE TABLE "crmcusrscusers" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "person" int DEFAULT NULL,
  "company" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "customernum" varchar2(255) DEFAULT NULL,
  "risk" smallint DEFAULT '0',
  "dispatch" smallint DEFAULT '0',
  "payment" smallint DEFAULT '0',
  "prefcontact" smallint DEFAULT '0',
  "description" clob DEFAULT NULL,
  "usebilling" smallint DEFAULT '0',
  "billingaddr" varchar2(255) DEFAULT NULL,
  "billingpc" varchar2(255) DEFAULT NULL,
  "billingcity" varchar2(255) DEFAULT NULL,
  "billingcountry" varchar2(255) DEFAULT NULL,
  "useshipping" smallint DEFAULT '0',
  "shippingaddr" varchar2(255) DEFAULT NULL,
  "shippingpc" varchar2(255) DEFAULT NULL,
  "shippingcity" varchar2(255) DEFAULT NULL,
  "shippingcountry" varchar2(255) DEFAULT NULL,
  "bank" varchar2(255) DEFAULT NULL,
  "bankid" varchar2(255) DEFAULT NULL,
  "account" varchar2(255) DEFAULT NULL,
  "cctype" smallint DEFAULT '0',
  "ccnum" varchar2(255) DEFAULT NULL,
  "ccvalid" varchar2(5) DEFAULT NULL,
  "ccauth" varchar2(3) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcusrscusers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcurscusrsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_crmcurscusrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcurscusrsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcurscusrsperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID"),
  CONSTRAINT "ForKey_crmcurscusrscomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID")
);

CREATE TABLE "crmbilngdelies" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "customer" int DEFAULT NULL,
  "deliverynum" varchar2(255) DEFAULT NULL,
  "date" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "discount" binary_double DEFAULT '0',
  "netamount" binary_double DEFAULT '0',
  "tax" binary_double DEFAULT '0',
  "itemsbinfile" varchar2(32) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilngdelies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingdelescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbingdelescusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID")
);

CREATE TABLE "crmbilnginvces" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "customer" int DEFAULT NULL,
  "invoicenum" varchar2(255) DEFAULT NULL,
  "date" int DEFAULT '0',
  "duedate" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilnginvces" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbinginvescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbinginvescusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID")
);

CREATE TABLE "crmbinginvesdelies" (
  "ID" int DEFAULT '0',
  "invoice" int NOT NULL,
  "delivery" int NOT NULL,
  CONSTRAINT "PriKey_crmbinginvesdelies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_cmbiginesdelesinvice" FOREIGN KEY ("invoice") REFERENCES "crmbilnginvces" ("ID"),
  CONSTRAINT "ForKey_cmbiginesdelesdelery" FOREIGN KEY ("delivery") REFERENCES "crmbilngdelies" ("ID")
);

CREATE TABLE "crmbilngoffers" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "customer" int DEFAULT NULL,
  "quotationnum" varchar2(255) DEFAULT NULL,
  "date" int DEFAULT '0',
  "duedate" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "discount" binary_double DEFAULT '0',
  "netamount" binary_double DEFAULT '0',
  "tax" binary_double DEFAULT '0',
  "margin" binary_double DEFAULT '0',
  "itemsbinfile" varchar2(32) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilngoffers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingoffrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbingoffrscusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID")
);

CREATE TABLE "crmbilngorders" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "customer" int DEFAULT NULL,
  "ordernum" varchar2(255) DEFAULT NULL,
  "date" int DEFAULT '0',
  "duedate" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "discount" binary_double DEFAULT '0',
  "netamount" binary_double DEFAULT '0',
  "tax" binary_double DEFAULT '0',
  "margin" binary_double DEFAULT '0',
  "itemsbinfile" varchar2(32) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilngorders" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingordrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbingordrscusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID")
);

CREATE TABLE "crmbilngpaynts" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "invoice" int NOT NULL,
  "date" int DEFAULT '0',
  "account" varchar2(255) DEFAULT NULL,
  "reference" varchar2(255) DEFAULT NULL,
  "amount" binary_double DEFAULT '0',
  CONSTRAINT "PriKey_crmbilngpaynts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingpaytscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbingpaytsinvice" FOREIGN KEY ("invoice") REFERENCES "crmbilnginvces" ("ID")
);

CREATE TABLE "crmbilngtemtes" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "type" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "inputbinfile" varchar2(32) DEFAULT NULL,
  "outputbinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilngtemtes" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingtemescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmbilngpriuts" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "type" smallint DEFAULT '0',
  "transaction" int NOT NULL,
  "transactionnum" varchar2(255) DEFAULT NULL,
  "template" int DEFAULT NULL,
  "databinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmbilngpriuts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmbingpritscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmbingpritstemate" FOREIGN KEY ("template") REFERENCES "crmbilngtemtes" ("ID")
);

CREATE TABLE "crmcamnscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcamnscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcanscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcamnscamgns" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "datefrom" int DEFAULT '0',
  "dateto" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "replyrate" smallint DEFAULT '0',
  "projectedeffort" binary_double DEFAULT '0',
  "budget" binary_double DEFAULT '0',
  "description" clob DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcamnscamgns" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcanscamnsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_crmcanscamnscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcanscamnsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcanscamnscatory" FOREIGN KEY ("category") REFERENCES "crmcamnscaties" ("ID")
);

CREATE TABLE "crmcamnscomies" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "campaign" int NOT NULL,
  "company" int NOT NULL,
  "flag" smallint DEFAULT '0',
  CONSTRAINT "PriKey_crmcamnscomies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcanscomescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcanscomescamign" FOREIGN KEY ("campaign") REFERENCES "crmcamnscamgns" ("ID"),
  CONSTRAINT "ForKey_crmcanscomescomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID")
);

CREATE TABLE "crmcamnspeople" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "campaign" int NOT NULL,
  "person" int NOT NULL,
  "flag" smallint DEFAULT '0',
  CONSTRAINT "PriKey_crmcamnspeople" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcanspeolecretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcanspeolecamign" FOREIGN KEY ("campaign") REFERENCES "crmcamnscamgns" ("ID"),
  CONSTRAINT "ForKey_crmcanspeoleperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID")
);

CREATE TABLE "crmcamnsrecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "campaign" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_crmcamnsrecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcansrecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcansrecdscamign" FOREIGN KEY ("campaign") REFERENCES "crmcamnscamgns" ("ID")
);

CREATE TABLE "orgtaskscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_orgtaskscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgtakscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orgtaskstasks" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "parent" int DEFAULT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "duedate" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "progress" smallint DEFAULT '0',
  "priority" smallint DEFAULT '0',
  "projectedeffort" binary_double DEFAULT '0',
  "budget" binary_double DEFAULT '0',
  "costs" binary_double DEFAULT '0',
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgtaskstasks" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgtakstasksownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgtakstasksownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgtakstaskscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgtakstasksassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgtakstaskscatory" FOREIGN KEY ("category") REFERENCES "orgtaskscaties" ("ID")
);

CREATE TABLE "crmcamnstasks" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "campaign" int NOT NULL,
  "task" int NOT NULL,
  CONSTRAINT "PriKey_crmcamnstasks" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcanstaskscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcanstaskscamign" FOREIGN KEY ("campaign") REFERENCES "crmcamnscamgns" ("ID"),
  CONSTRAINT "ForKey_crmcanstaskstask" FOREIGN KEY ("task") REFERENCES "orgtaskstasks" ("ID")
);

CREATE TABLE "crmcasescaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcasescaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcaescatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcasesclases" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "default" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "inputbinfile" varchar2(32) DEFAULT NULL,
  "outputbinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcasesclases" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcaesclaesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_crmcaesclaescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcasescases" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "class" int NOT NULL,
  "customer" int DEFAULT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "casenum" varchar2(255) DEFAULT NULL,
  "status" smallint DEFAULT '0',
  "priority" smallint DEFAULT '0',
  "projectedeffort" binary_double DEFAULT '0',
  "budget" binary_double DEFAULT '0',
  "materialcosts" binary_double DEFAULT '0',
  "description" clob DEFAULT NULL,
  "databinfile" varchar2(32) DEFAULT NULL,
  "itemsbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcasescases" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcaescasescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcaescasesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcaescasesclass" FOREIGN KEY ("class") REFERENCES "crmcasesclases" ("ID"),
  CONSTRAINT "ForKey_crmcaescasescusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID"),
  CONSTRAINT "ForKey_crmcaescasescatory" FOREIGN KEY ("category") REFERENCES "crmcasescaties" ("ID")
);

CREATE TABLE "crmcasesrecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "case" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_crmcasesrecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcaesrecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcaesrecdscase" FOREIGN KEY ("case") REFERENCES "crmcasescases" ("ID")
);

CREATE TABLE "crmcasestasks" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "case" int NOT NULL,
  "task" int NOT NULL,
  CONSTRAINT "PriKey_crmcasestasks" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcaestaskscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcaestaskscase" FOREIGN KEY ("case") REFERENCES "crmcasescases" ("ID"),
  CONSTRAINT "ForKey_crmcaestaskstask" FOREIGN KEY ("task") REFERENCES "orgtaskstasks" ("ID")
);

CREATE TABLE "crmcontsclases" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "default" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "inputbinfile" varchar2(32) DEFAULT NULL,
  "outputbinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcontsclases" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcotsclaesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_crmcotsclaescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcontscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcontscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcotscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcontsconcts" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "class" int NOT NULL,
  "customer" int DEFAULT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "contractnum" varchar2(255) DEFAULT NULL,
  "datefrom" int DEFAULT '0',
  "usedateto" smallint DEFAULT '0',
  "dateto" int DEFAULT '0',
  "usedatecancel" smallint DEFAULT '0',
  "datecancel" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "description" clob DEFAULT NULL,
  "databinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcontsconcts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcotscontscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcotscontsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcotscontsclass" FOREIGN KEY ("class") REFERENCES "crmcontsclases" ("ID"),
  CONSTRAINT "ForKey_crmcotscontscusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID"),
  CONSTRAINT "ForKey_crmcotscontscatory" FOREIGN KEY ("category") REFERENCES "crmcontscaties" ("ID")
);

CREATE TABLE "crmcontsrecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "contract" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_crmcontsrecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcotsrecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcotsrecdsconact" FOREIGN KEY ("contract") REFERENCES "crmcontsconcts" ("ID")
);

CREATE TABLE "crmcusrscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_crmcusrscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcurscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmcurscusrscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "customer" int NOT NULL,
  "category" int NOT NULL,
  CONSTRAINT "PriKey_crmcurscusrscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_cmcuscurscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_cmcuscurscatescusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID"),
  CONSTRAINT "ForKey_cmcuscurscatescatory" FOREIGN KEY ("category") REFERENCES "crmcusrscaties" ("ID")
);

CREATE TABLE "crmcusrsjounal" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "customer" int NOT NULL,
  "date" int DEFAULT '0',
  "label" smallint DEFAULT '0',
  "contact" int DEFAULT NULL,
  "subject" varchar2(255) DEFAULT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_crmcusrsjounal" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmcursjoualcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmcursjoualcusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID"),
  CONSTRAINT "ForKey_crmcursjoualconact" FOREIGN KEY ("contact") REFERENCES "orgcontspeople" ("ID")
);

CREATE TABLE "crmoppescaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_crmoppescaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmopescatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "crmoppesoppies" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "customer" int DEFAULT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "status" smallint DEFAULT '0',
  "probability" smallint DEFAULT '0',
  "closedate" int DEFAULT '0',
  "priority" smallint DEFAULT '0',
  "worstcase" binary_double DEFAULT '0',
  "mostlikely" binary_double DEFAULT '0',
  "upside" binary_double DEFAULT '0',
  "description" clob DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_crmoppesoppies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmopesoppesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_crmopesoppescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmopesoppesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmopesoppescusmer" FOREIGN KEY ("customer") REFERENCES "crmcusrscusers" ("ID"),
  CONSTRAINT "ForKey_crmopesoppescatory" FOREIGN KEY ("category") REFERENCES "crmoppescaties" ("ID")
);

CREATE TABLE "crmoppesrecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "opportunity" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_crmoppesrecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_crmopesrecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_crmopesrecdsoppity" FOREIGN KEY ("opportunity") REFERENCES "crmoppesoppies" ("ID")
);

CREATE TABLE "erparcvecaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erparcvecaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erparvecatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "erparcvelocons" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erparcvelocons" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erparvelocnscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "erparcverooms" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "location" int DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "roomnum" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "lastinsert" int DEFAULT '0',
  "mapbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erparcverooms" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erparveroomsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_erparveroomscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erparveroomslocion" FOREIGN KEY ("location") REFERENCES "erparcvelocons" ("ID")
);

CREATE TABLE "erparcveelents" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "room" int NOT NULL,
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "elementnum" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_erparcveelents" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erparveeletscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erparveeletsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erparveeletsroom" FOREIGN KEY ("room") REFERENCES "erparcverooms" ("ID"),
  CONSTRAINT "ForKey_erparveeletscatory" FOREIGN KEY ("category") REFERENCES "erparcvecaties" ("ID")
);

CREATE TABLE "erpstolccaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolccaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlccatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "erpstolcstoges" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "default" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolcstoges" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcstoesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_erpstlcstoescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcstoesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "erpstolcitems" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "storage" int NOT NULL,
  "deleted" smallint DEFAULT '0',
  "useserials" smallint DEFAULT '0',
  "evalmethod" smallint DEFAULT '0',
  "periode" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "manufacturer" varchar2(255) DEFAULT NULL,
  "itemnum" varchar2(255) DEFAULT NULL,
  "location" varchar2(255) DEFAULT NULL,
  "quantity" smallint DEFAULT '0',
  "barcode" varchar2(255) DEFAULT NULL,
  "sellingprice" binary_double DEFAULT '0',
  "purchaseprice" binary_double DEFAULT '0',
  "taxrate" binary_double DEFAULT '0',
  "minstock" int DEFAULT '0',
  "weight" binary_double DEFAULT '0',
  "dimx" binary_double DEFAULT '0',
  "dimy" binary_double DEFAULT '0',
  "dimz" binary_double DEFAULT '0',
  "description" clob DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolcitems" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcitemscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcitemsstoage" FOREIGN KEY ("storage") REFERENCES "erpstolcstoges" ("ID")
);

CREATE TABLE "erpstolcproons" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "item" int NOT NULL,
  "date" int DEFAULT '0',
  "productionnum" varchar2(255) DEFAULT NULL,
  "output" int DEFAULT '0',
  "target" int DEFAULT '0',
  "materialcosts" binary_double DEFAULT '0',
  "manufactcosts" binary_double DEFAULT '0',
  "itemsbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolcproons" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcpronscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcpronsitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID")
);

CREATE TABLE "erpstolcdepons" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "item" int NOT NULL,
  "delivery" int DEFAULT NULL,
  "production" int DEFAULT NULL,
  "date" int DEFAULT '0',
  "purpose" varchar2(255) DEFAULT NULL,
  "amount" int DEFAULT '0',
  "price" binary_double DEFAULT '0',
  CONSTRAINT "PriKey_erpstolcdepons" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcdepnscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcdepnsitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID"),
  CONSTRAINT "ForKey_erpstlcdepnsdelery" FOREIGN KEY ("delivery") REFERENCES "crmbilngdelies" ("ID"),
  CONSTRAINT "ForKey_erpstlcdepnsproion" FOREIGN KEY ("production") REFERENCES "erpstolcproons" ("ID")
);

CREATE TABLE "erpstlcdepnsserals" (
  "ID" int DEFAULT '0',
  "depletion" int NOT NULL,
  "serial" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstlcdepnsserals" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_epstcdensserlsdepion" FOREIGN KEY ("depletion") REFERENCES "erpstolcdepons" ("ID")
);

CREATE TABLE "erpstolcdevces" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "item" int NOT NULL,
  "serial" varchar2(255) DEFAULT NULL,
  "location" varchar2(255) DEFAULT NULL,
  "reference" varchar2(255) DEFAULT NULL,
  "comment" clob DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolcdevces" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcdevescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcdevesitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID")
);

CREATE TABLE "erpstlcitemscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "item" int NOT NULL,
  "category" int NOT NULL,
  CONSTRAINT "PriKey_erpstlcitemscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_epstcitmscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_epstcitmscatesitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID"),
  CONSTRAINT "ForKey_epstcitmscatescatory" FOREIGN KEY ("category") REFERENCES "erpstolccaties" ("ID")
);

CREATE TABLE "erpsuprssupers" (
  "ID" int DEFAULT '0',
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "person" int DEFAULT NULL,
  "company" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "vendornum" varchar2(255) DEFAULT NULL,
  "customernum" varchar2(255) DEFAULT NULL,
  "dispatch" smallint DEFAULT '0',
  "payment" smallint DEFAULT '0',
  "prefcontact" smallint DEFAULT '0',
  "bank" varchar2(255) DEFAULT NULL,
  "bankid" varchar2(255) DEFAULT NULL,
  "account" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "lastupload" int DEFAULT '0',
  "pricelistbinfile" varchar2(32) DEFAULT NULL,
  "extdatabinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erpsuprssupers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpsurssuprsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_erpsurssuprscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpsurssuprsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpsurssuprsperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID"),
  CONSTRAINT "ForKey_erpsurssuprscomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID")
);

CREATE TABLE "erpstolcorders" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "item" int NOT NULL,
  "supplier" int DEFAULT NULL,
  "flag" smallint DEFAULT '0',
  "date" int DEFAULT '0',
  "ordernum" varchar2(255) DEFAULT NULL,
  "amount" int DEFAULT '0',
  "delivered" int DEFAULT '0',
  "price" binary_double DEFAULT '0',
  "etd" int DEFAULT '0',
  "deliverydate" int DEFAULT '0',
  CONSTRAINT "PriKey_erpstolcorders" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcordrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcordrsitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID"),
  CONSTRAINT "ForKey_erpstlcordrssupier" FOREIGN KEY ("supplier") REFERENCES "erpsuprssupers" ("ID")
);

CREATE TABLE "erpstolcincing" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "item" int NOT NULL,
  "order" int DEFAULT NULL,
  "production" int DEFAULT NULL,
  "date" int DEFAULT '0',
  "amount" int DEFAULT '0',
  "price" binary_double DEFAULT '0',
  "periode" smallint DEFAULT '0',
  CONSTRAINT "PriKey_erpstolcincing" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcincngcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcincngitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID"),
  CONSTRAINT "ForKey_erpstlcincngorder" FOREIGN KEY ("order") REFERENCES "erpstolcorders" ("ID"),
  CONSTRAINT "ForKey_erpstlcincngproion" FOREIGN KEY ("production") REFERENCES "erpstolcproons" ("ID")
);

CREATE TABLE "erpstlcincngserals" (
  "ID" int DEFAULT '0',
  "incoming" int NOT NULL,
  "serial" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstlcincngserals" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_epstcinngserlsincing" FOREIGN KEY ("incoming") REFERENCES "erpstolcincing" ("ID")
);

CREATE TABLE "erpstolctemtes" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "inputbinfile" varchar2(32) DEFAULT NULL,
  "outputbinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolctemtes" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlctemescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "erpstolcpriuts" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "template" int DEFAULT NULL,
  "ordernum" varchar2(255) DEFAULT NULL,
  "databinfile" varchar2(32) DEFAULT NULL,
  "pdfbinfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_erpstolcpriuts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcpritscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcpritstemate" FOREIGN KEY ("template") REFERENCES "erpstolctemtes" ("ID")
);

CREATE TABLE "erpstolcsupers" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "item" int NOT NULL,
  "supplier" int NOT NULL,
  CONSTRAINT "PriKey_erpstolcsupers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpstlcsuprscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpstlcsuprsitem" FOREIGN KEY ("item") REFERENCES "erpstolcitems" ("ID"),
  CONSTRAINT "ForKey_erpstlcsuprssupier" FOREIGN KEY ("supplier") REFERENCES "erpsuprssupers" ("ID")
);

CREATE TABLE "erpsuprscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "supplier" int NOT NULL,
  "category" int NOT NULL,
  CONSTRAINT "PriKey_erpsuprscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpsurscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpsurscatessupier" FOREIGN KEY ("supplier") REFERENCES "erpsuprssupers" ("ID"),
  CONSTRAINT "ForKey_erpsurscatescatory" FOREIGN KEY ("category") REFERENCES "erpstolccaties" ("ID")
);

CREATE TABLE "erpsuprsinvces" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "supplier" int NOT NULL,
  "flag" smallint DEFAULT '0',
  "invoicenum" varchar2(255) DEFAULT NULL,
  "date" int DEFAULT '0',
  "duedate" int DEFAULT '0',
  "netamount" binary_double DEFAULT '0',
  "totalamount" binary_double DEFAULT '0',
  "payment" binary_double DEFAULT '0',
  "comment" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_erpsuprsinvces" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpsursinvescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpsursinvessupier" FOREIGN KEY ("supplier") REFERENCES "erpsuprssupers" ("ID")
);

CREATE TABLE "erpsuprsjounal" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "supplier" int NOT NULL,
  "contact" int DEFAULT NULL,
  "date" int DEFAULT '0',
  "label" smallint DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_erpsuprsjounal" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_erpsursjoualcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_erpsursjoualsupier" FOREIGN KEY ("supplier") REFERENCES "erpsuprssupers" ("ID"),
  CONSTRAINT "ForKey_erpsursjoualconact" FOREIGN KEY ("contact") REFERENCES "orgcontspeople" ("ID")
);

CREATE TABLE "orgcalarcaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "label" smallint DEFAULT '0',
  CONSTRAINT "PriKey_orgcalarcaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcaarcatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orgcalarevents" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "location" varchar2(255) DEFAULT NULL,
  "datefrom" int DEFAULT '0',
  "dateto" int DEFAULT '0',
  "repeat" smallint DEFAULT '0',
  "interval" int DEFAULT '0',
  "usedaterepeat" smallint DEFAULT '0',
  "daterepeat" int DEFAULT '0',
  "display" smallint DEFAULT '0',
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgcalarevents" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcaarevetsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcaarevetsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgcaarevetscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcaarevetscatory" FOREIGN KEY ("category") REFERENCES "orgcalarcaties" ("ID")
);

CREATE TABLE "orgcalarinvons" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "event" int NOT NULL,
  "flag" smallint DEFAULT '0',
  CONSTRAINT "PriKey_orgcalarinvons" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcaarinvnsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgcaarinvnsevent" FOREIGN KEY ("event") REFERENCES "orgcalarevents" ("ID")
);

CREATE TABLE "orgcontscaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_orgcontscaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgcotscatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orgcotscomescaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "company" int NOT NULL,
  "category" int NOT NULL,
  CONSTRAINT "PriKey_orgcotscomescaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_ogcoscoescatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_ogcoscoescatescomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID"),
  CONSTRAINT "ForKey_ogcoscoescatescatory" FOREIGN KEY ("category") REFERENCES "orgcontscaties" ("ID")
);

CREATE TABLE "orgcotspeolecaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "person" int NOT NULL,
  "category" int NOT NULL,
  CONSTRAINT "PriKey_orgcotspeolecaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_ogcospelecatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_ogcospelecatesperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID"),
  CONSTRAINT "ForKey_ogcospelecatescatory" FOREIGN KEY ("category") REFERENCES "orgcontscaties" ("ID")
);

CREATE TABLE "orgcotspeolecomies" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "person" int NOT NULL,
  "company" int NOT NULL,
  CONSTRAINT "PriKey_orgcotspeolecomies" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_ogcospelecomescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_ogcospelecomesperson" FOREIGN KEY ("person") REFERENCES "orgcontspeople" ("ID"),
  CONSTRAINT "ForKey_ogcospelecomescomany" FOREIGN KEY ("company") REFERENCES "orgcontscomies" ("ID")
);

CREATE TABLE "orgfolupcaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_orgfolupcaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgfoupcatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orgfolupremers" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "duedate" int DEFAULT '0',
  "status" smallint DEFAULT '0',
  "priority" smallint DEFAULT '0',
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgfolupremers" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgfoupremrsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgfoupremrsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgfoupremrscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgfoupremrsassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgfoupremrscatory" FOREIGN KEY ("category") REFERENCES "orgfolupcaties" ("ID")
);

CREATE TABLE "orgfoluprecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "reminder" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgfoluprecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgfouprecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgfouprecdsremder" FOREIGN KEY ("reminder") REFERENCES "orgfolupremers" ("ID")
);

CREATE TABLE "orglinkslinsts" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orglinkslinsts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orglikslintsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orglikslintsownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orglikslintscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orglinkslinks" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "linklist" int NOT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "url" varchar2(255) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  "numviews" int DEFAULT '0',
  CONSTRAINT "PriKey_orglinkslinks" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orglikslinkscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orglikslinkslinist" FOREIGN KEY ("linklist") REFERENCES "orglinkslinsts" ("ID")
);

CREATE TABLE "orglinksview" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "linklist" int NOT NULL,
  CONSTRAINT "PriKey_orglinksview" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgliksviewownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgliksviewlinist" FOREIGN KEY ("linklist") REFERENCES "orglinkslinsts" ("ID")
);

CREATE TABLE "orgnotescaties" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_orgnotescaties" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgnoescatescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "orgnotesnotes" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "assigneduser" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "category" int DEFAULT NULL,
  "deleted" smallint DEFAULT '0',
  "title" varchar2(255) DEFAULT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgnotesnotes" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgnoesnotesownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgnoesnotesownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_orgnoesnotescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgnoesnotesassser" FOREIGN KEY ("assigneduser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgnoesnotescatory" FOREIGN KEY ("category") REFERENCES "orgnotescaties" ("ID")
);

CREATE TABLE "orgtaskscloing" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "task" int NOT NULL,
  "flag" smallint DEFAULT '0',
  "date" int DEFAULT '0',
  "subject" varchar2(255) DEFAULT NULL,
  "actualeffort" binary_double DEFAULT '0',
  CONSTRAINT "PriKey_orgtaskscloing" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgtaksclongcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgtaksclongtask" FOREIGN KEY ("task") REFERENCES "orgtaskstasks" ("ID")
);

CREATE TABLE "orgtasksrecrds" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "task" int NOT NULL,
  "text" clob DEFAULT NULL,
  CONSTRAINT "PriKey_orgtasksrecrds" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_orgtaksrecdscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_orgtaksrecdstask" FOREIGN KEY ("task") REFERENCES "orgtaskstasks" ("ID")
);

CREATE TABLE "plarmacceys" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "key" varchar2(32) DEFAULT NULL,
  "description" clob DEFAULT NULL,
  CONSTRAINT "PriKey_plarmacceys" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmaccyscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmasstes" (
  "ID" int DEFAULT '0',
  "entity1" varchar2(60) DEFAULT NULL,
  "index1" int DEFAULT '0',
  "entity2" varchar2(60) DEFAULT NULL,
  "index2" int DEFAULT '0',
  CONSTRAINT "PriKey_plarmasstes" PRIMARY KEY ("ID")
);

CREATE TABLE "plarmboaems" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "text" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmboaems" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmboamscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmcharts" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "activity" smallint DEFAULT '0',
  "timeoriented" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "type" smallint DEFAULT '0',
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmcharts" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmchatscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmexptes" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "activity" smallint DEFAULT '0',
  "entity" varchar2(60) DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmexptes" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmexpescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmmontor" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) DEFAULT NULL,
  "ownergroup" varchar2(60) DEFAULT NULL,
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "UMI" varchar2(60) DEFAULT NULL,
  "entity" varchar2(60) DEFAULT NULL,
  "index" int DEFAULT '0',
  "url" varchar2(255) DEFAULT NULL,
  "name" varchar2(255) DEFAULT NULL,
  "action" smallint DEFAULT '0',
  CONSTRAINT "PriKey_plarmmontor" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmmonorownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_plrmmonorownoup" FOREIGN KEY ("ownergroup") REFERENCES "plarmgroups" ("groupname"),
  CONSTRAINT "ForKey_plrmmonorcretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmserces" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "activity" smallint DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  "event" smallint DEFAULT '0',
  "entity" varchar2(60) DEFAULT NULL,
  "schedule" int DEFAULT '0',
  "interval" int DEFAULT '0',
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmserces" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmserescretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plrmseresacceys" (
  "ID" int DEFAULT '0',
  "creator" varchar2(60) DEFAULT NULL,
  "creationdate" int DEFAULT '0',
  "service" int NOT NULL,
  "accesskey" int NOT NULL,
  CONSTRAINT "PriKey_plrmseresacceys" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plmseesaccyscretor" FOREIGN KEY ("creator") REFERENCES "plarmusers" ("username"),
  CONSTRAINT "ForKey_plmseesaccysserice" FOREIGN KEY ("service") REFERENCES "plarmserces" ("ID"),
  CONSTRAINT "ForKey_plmseesaccysacckey" FOREIGN KEY ("accesskey") REFERENCES "plarmacceys" ("ID")
);

CREATE TABLE "plarmsetngs" (
  "ID" int DEFAULT '0',
  "owneruser" varchar2(60) NOT NULL,
  "creationdate" int DEFAULT '0',
  "lastmodified" int DEFAULT '0',
  "UMI" varchar2(60) DEFAULT NULL,
  "binfile" varchar2(32) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmsetngs" PRIMARY KEY ("ID"),
  CONSTRAINT "ForKey_plrmsetgsownser" FOREIGN KEY ("owneruser") REFERENCES "plarmusers" ("username")
);

CREATE TABLE "plarmtags" (
  "ID" int DEFAULT '0',
  "entity" varchar2(60) DEFAULT NULL,
  "index" int DEFAULT '0',
  "name" varchar2(255) DEFAULT NULL,
  CONSTRAINT "PriKey_plarmtags" PRIMARY KEY ("ID")
);

CREATE INDEX "Index_plrmassesentty1" ON "plarmasstes" ("entity1");
CREATE INDEX "Index_plrmassesindex1" ON "plarmasstes" ("index1");
CREATE INDEX "Index_plrmassesentty2" ON "plarmasstes" ("entity2");
CREATE INDEX "Index_plrmassesindex2" ON "plarmasstes" ("index2");
CREATE INDEX "Index_plrmmonorindex" ON "plarmmontor" ("index");
CREATE INDEX "Index_plrmtagsentity" ON "plarmtags" ("entity");
CREATE INDEX "Index_plrmtagsindex" ON "plarmtags" ("index");

CREATE SEQUENCE "Seq_colfiescatesID";
CREATE SEQUENCE "Seq_colfiesfolrsID";
CREATE SEQUENCE "Seq_colfiesfilesID";
CREATE SEQUENCE "Seq_colfiesitemsID";
CREATE SEQUENCE "Seq_colfiesjoualID";
CREATE SEQUENCE "Seq_colfiesshotsID";
CREATE SEQUENCE "Seq_colfomscatesID";
CREATE SEQUENCE "Seq_colfomsformsID";
CREATE SEQUENCE "Seq_colfomstopcsID";
CREATE SEQUENCE "Seq_colfomsentesID";
CREATE SEQUENCE "Seq_colfomsnotfyID";
CREATE SEQUENCE "Seq_colfomsviewID";
CREATE SEQUENCE "Seq_colmeesfolrsID";
CREATE SEQUENCE "Seq_colmeesacctsID";
CREATE SEQUENCE "Seq_colmeestemesID";
CREATE SEQUENCE "Seq_colmeesmaitsID";
CREATE SEQUENCE "Seq_orgcotscomesID";
CREATE SEQUENCE "Seq_colmeescomesID";
CREATE SEQUENCE "Seq_colmeesmaigsID";
CREATE SEQUENCE "Seq_colmeesmesesID";
CREATE SEQUENCE "Seq_colmeesmsgogID";
CREATE SEQUENCE "Seq_orgcotspeoleID";
CREATE SEQUENCE "Seq_colmeespeoleID";
CREATE SEQUENCE "Seq_colnewschalsID";
CREATE SEQUENCE "Seq_colnewsnewmsID";
CREATE SEQUENCE "Seq_colnewsviewID";
CREATE SEQUENCE "Seq_crmcurscusrsID";
CREATE SEQUENCE "Seq_crmbingdelesID";
CREATE SEQUENCE "Seq_crmbinginvesID";
CREATE SEQUENCE "Seq_cmbiginesdelesID";
CREATE SEQUENCE "Seq_crmbingoffrsID";
CREATE SEQUENCE "Seq_crmbingordrsID";
CREATE SEQUENCE "Seq_crmbingpaytsID";
CREATE SEQUENCE "Seq_crmbingtemesID";
CREATE SEQUENCE "Seq_crmbingpritsID";
CREATE SEQUENCE "Seq_crmcanscatesID";
CREATE SEQUENCE "Seq_crmcanscamnsID";
CREATE SEQUENCE "Seq_crmcanscomesID";
CREATE SEQUENCE "Seq_crmcanspeoleID";
CREATE SEQUENCE "Seq_crmcansrecdsID";
CREATE SEQUENCE "Seq_orgtakscatesID";
CREATE SEQUENCE "Seq_orgtakstasksID";
CREATE SEQUENCE "Seq_crmcanstasksID";
CREATE SEQUENCE "Seq_crmcaescatesID";
CREATE SEQUENCE "Seq_crmcaesclaesID";
CREATE SEQUENCE "Seq_crmcaescasesID";
CREATE SEQUENCE "Seq_crmcaesrecdsID";
CREATE SEQUENCE "Seq_crmcaestasksID";
CREATE SEQUENCE "Seq_crmcotsclaesID";
CREATE SEQUENCE "Seq_crmcotscatesID";
CREATE SEQUENCE "Seq_crmcotscontsID";
CREATE SEQUENCE "Seq_crmcotsrecdsID";
CREATE SEQUENCE "Seq_crmcurscatesID";
CREATE SEQUENCE "Seq_cmcuscurscatesID";
CREATE SEQUENCE "Seq_crmcursjoualID";
CREATE SEQUENCE "Seq_crmopescatesID";
CREATE SEQUENCE "Seq_crmopesoppesID";
CREATE SEQUENCE "Seq_crmopesrecdsID";
CREATE SEQUENCE "Seq_erparvecatesID";
CREATE SEQUENCE "Seq_erparvelocnsID";
CREATE SEQUENCE "Seq_erparveroomsID";
CREATE SEQUENCE "Seq_erparveeletsID";
CREATE SEQUENCE "Seq_erpstlccatesID";
CREATE SEQUENCE "Seq_erpstlcstoesID";
CREATE SEQUENCE "Seq_erpstlcitemsID";
CREATE SEQUENCE "Seq_erpstlcpronsID";
CREATE SEQUENCE "Seq_erpstlcdepnsID";
CREATE SEQUENCE "Seq_epstcdensserlsID";
CREATE SEQUENCE "Seq_erpstlcdevesID";
CREATE SEQUENCE "Seq_epstcitmscatesID";
CREATE SEQUENCE "Seq_erpsurssuprsID";
CREATE SEQUENCE "Seq_erpstlcordrsID";
CREATE SEQUENCE "Seq_erpstlcincngID";
CREATE SEQUENCE "Seq_epstcinngserlsID";
CREATE SEQUENCE "Seq_erpstlctemesID";
CREATE SEQUENCE "Seq_erpstlcpritsID";
CREATE SEQUENCE "Seq_erpstlcsuprsID";
CREATE SEQUENCE "Seq_erpsurscatesID";
CREATE SEQUENCE "Seq_erpsursinvesID";
CREATE SEQUENCE "Seq_erpsursjoualID";
CREATE SEQUENCE "Seq_orgcaarcatesID";
CREATE SEQUENCE "Seq_orgcaarevetsID";
CREATE SEQUENCE "Seq_orgcaarinvnsID";
CREATE SEQUENCE "Seq_orgcotscatesID";
CREATE SEQUENCE "Seq_ogcoscoescatesID";
CREATE SEQUENCE "Seq_ogcospelecatesID";
CREATE SEQUENCE "Seq_ogcospelecomesID";
CREATE SEQUENCE "Seq_orgfoupcatesID";
CREATE SEQUENCE "Seq_orgfoupremrsID";
CREATE SEQUENCE "Seq_orgfouprecdsID";
CREATE SEQUENCE "Seq_orglikslintsID";
CREATE SEQUENCE "Seq_orglikslinksID";
CREATE SEQUENCE "Seq_orgliksviewID";
CREATE SEQUENCE "Seq_orgnoescatesID";
CREATE SEQUENCE "Seq_orgnoesnotesID";
CREATE SEQUENCE "Seq_orgtaksclongID";
CREATE SEQUENCE "Seq_orgtaksrecdsID";
CREATE SEQUENCE "Seq_plrmaccysID";
CREATE SEQUENCE "Seq_plrmassesID";
CREATE SEQUENCE "Seq_plrmboamsID";
CREATE SEQUENCE "Seq_plrmchatsID";
CREATE SEQUENCE "Seq_plrmexpesID";
CREATE SEQUENCE "Seq_plrmmonorID";
CREATE SEQUENCE "Seq_plrmseresID";
CREATE SEQUENCE "Seq_plmseesaccysID";
CREATE SEQUENCE "Seq_plrmsetgsID";
CREATE SEQUENCE "Seq_plrmtagsID";

CREATE TRIGGER "TrgIns_colfilescaties" BEFORE INSERT ON "colfilescaties"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiescatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colfilesfolers" BEFORE INSERT ON "colfilesfolers"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiesfolrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colfilesfiles" BEFORE INSERT ON "colfilesfiles"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiesfilesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colfilesitems" BEFORE INSERT ON "colfilesitems"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiesitemsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colfilesjounal" BEFORE INSERT ON "colfilesjounal"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiesjoualID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colfilesshouts" BEFORE INSERT ON "colfilesshouts"
FOR EACH ROW
BEGIN
SELECT "Seq_colfiesshotsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformscaties" BEFORE INSERT ON "colformscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformsforums" BEFORE INSERT ON "colformsforums"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomsformsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformstopics" BEFORE INSERT ON "colformstopics"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomstopcsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformsenties" BEFORE INSERT ON "colformsenties"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomsentesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformsnotify" BEFORE INSERT ON "colformsnotify"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomsnotfyID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colformsview" BEFORE INSERT ON "colformsview"
FOR EACH ROW
BEGIN
SELECT "Seq_colfomsviewID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesfolers" BEFORE INSERT ON "colmesesfolers"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesfolrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesaccnts" BEFORE INSERT ON "colmesesaccnts"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesacctsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesestemtes" BEFORE INSERT ON "colmesestemtes"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeestemesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesmaists" BEFORE INSERT ON "colmesesmaists"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesmaitsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcontscomies" BEFORE INSERT ON "orgcontscomies"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcotscomesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesescomies" BEFORE INSERT ON "colmesescomies"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeescomesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesmaings" BEFORE INSERT ON "colmesesmaings"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesmaigsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesmesges" BEFORE INSERT ON "colmesesmesges"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesmesesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesesmsglog" BEFORE INSERT ON "colmesesmsglog"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeesmsgogID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcontspeople" BEFORE INSERT ON "orgcontspeople"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcotspeoleID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colmesespeople" BEFORE INSERT ON "colmesespeople"
FOR EACH ROW
BEGIN
SELECT "Seq_colmeespeoleID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colnewschaels" BEFORE INSERT ON "colnewschaels"
FOR EACH ROW
BEGIN
SELECT "Seq_colnewschalsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colnewsnewems" BEFORE INSERT ON "colnewsnewems"
FOR EACH ROW
BEGIN
SELECT "Seq_colnewsnewmsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_colnewsview" BEFORE INSERT ON "colnewsview"
FOR EACH ROW
BEGIN
SELECT "Seq_colnewsviewID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcusrscusers" BEFORE INSERT ON "crmcusrscusers"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcurscusrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngdelies" BEFORE INSERT ON "crmbilngdelies"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingdelesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilnginvces" BEFORE INSERT ON "crmbilnginvces"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbinginvesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbinginvesdelies" BEFORE INSERT ON "crmbinginvesdelies"
FOR EACH ROW
BEGIN
SELECT "Seq_cmbiginesdelesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngoffers" BEFORE INSERT ON "crmbilngoffers"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingoffrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngorders" BEFORE INSERT ON "crmbilngorders"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingordrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngpaynts" BEFORE INSERT ON "crmbilngpaynts"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingpaytsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngtemtes" BEFORE INSERT ON "crmbilngtemtes"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingtemesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmbilngpriuts" BEFORE INSERT ON "crmbilngpriuts"
FOR EACH ROW
BEGIN
SELECT "Seq_crmbingpritsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnscaties" BEFORE INSERT ON "crmcamnscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcanscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnscamgns" BEFORE INSERT ON "crmcamnscamgns"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcanscamnsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnscomies" BEFORE INSERT ON "crmcamnscomies"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcanscomesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnspeople" BEFORE INSERT ON "crmcamnspeople"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcanspeoleID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnsrecrds" BEFORE INSERT ON "crmcamnsrecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcansrecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgtaskscaties" BEFORE INSERT ON "orgtaskscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_orgtakscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgtaskstasks" BEFORE INSERT ON "orgtaskstasks"
FOR EACH ROW
BEGIN
SELECT "Seq_orgtakstasksID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcamnstasks" BEFORE INSERT ON "crmcamnstasks"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcanstasksID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcasescaties" BEFORE INSERT ON "crmcasescaties"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcaescatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcasesclases" BEFORE INSERT ON "crmcasesclases"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcaesclaesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcasescases" BEFORE INSERT ON "crmcasescases"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcaescasesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcasesrecrds" BEFORE INSERT ON "crmcasesrecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcaesrecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcasestasks" BEFORE INSERT ON "crmcasestasks"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcaestasksID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcontsclases" BEFORE INSERT ON "crmcontsclases"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcotsclaesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcontscaties" BEFORE INSERT ON "crmcontscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcotscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcontsconcts" BEFORE INSERT ON "crmcontsconcts"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcotscontsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcontsrecrds" BEFORE INSERT ON "crmcontsrecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcotsrecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcusrscaties" BEFORE INSERT ON "crmcusrscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcurscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcurscusrscaties" BEFORE INSERT ON "crmcurscusrscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_cmcuscurscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmcusrsjounal" BEFORE INSERT ON "crmcusrsjounal"
FOR EACH ROW
BEGIN
SELECT "Seq_crmcursjoualID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmoppescaties" BEFORE INSERT ON "crmoppescaties"
FOR EACH ROW
BEGIN
SELECT "Seq_crmopescatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmoppesoppies" BEFORE INSERT ON "crmoppesoppies"
FOR EACH ROW
BEGIN
SELECT "Seq_crmopesoppesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_crmoppesrecrds" BEFORE INSERT ON "crmoppesrecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_crmopesrecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erparcvecaties" BEFORE INSERT ON "erparcvecaties"
FOR EACH ROW
BEGIN
SELECT "Seq_erparvecatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erparcvelocons" BEFORE INSERT ON "erparcvelocons"
FOR EACH ROW
BEGIN
SELECT "Seq_erparvelocnsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erparcverooms" BEFORE INSERT ON "erparcverooms"
FOR EACH ROW
BEGIN
SELECT "Seq_erparveroomsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erparcveelents" BEFORE INSERT ON "erparcveelents"
FOR EACH ROW
BEGIN
SELECT "Seq_erparveeletsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolccaties" BEFORE INSERT ON "erpstolccaties"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlccatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcstoges" BEFORE INSERT ON "erpstolcstoges"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcstoesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcitems" BEFORE INSERT ON "erpstolcitems"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcitemsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcproons" BEFORE INSERT ON "erpstolcproons"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcpronsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcdepons" BEFORE INSERT ON "erpstolcdepons"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcdepnsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstlcdepnsserals" BEFORE INSERT ON "erpstlcdepnsserals"
FOR EACH ROW
BEGIN
SELECT "Seq_epstcdensserlsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcdevces" BEFORE INSERT ON "erpstolcdevces"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcdevesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstlcitemscaties" BEFORE INSERT ON "erpstlcitemscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_epstcitmscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpsuprssupers" BEFORE INSERT ON "erpsuprssupers"
FOR EACH ROW
BEGIN
SELECT "Seq_erpsurssuprsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcorders" BEFORE INSERT ON "erpstolcorders"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcordrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcincing" BEFORE INSERT ON "erpstolcincing"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcincngID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstlcincngserals" BEFORE INSERT ON "erpstlcincngserals"
FOR EACH ROW
BEGIN
SELECT "Seq_epstcinngserlsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolctemtes" BEFORE INSERT ON "erpstolctemtes"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlctemesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcpriuts" BEFORE INSERT ON "erpstolcpriuts"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcpritsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpstolcsupers" BEFORE INSERT ON "erpstolcsupers"
FOR EACH ROW
BEGIN
SELECT "Seq_erpstlcsuprsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpsuprscaties" BEFORE INSERT ON "erpsuprscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_erpsurscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpsuprsinvces" BEFORE INSERT ON "erpsuprsinvces"
FOR EACH ROW
BEGIN
SELECT "Seq_erpsursinvesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_erpsuprsjounal" BEFORE INSERT ON "erpsuprsjounal"
FOR EACH ROW
BEGIN
SELECT "Seq_erpsursjoualID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcalarcaties" BEFORE INSERT ON "orgcalarcaties"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcaarcatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcalarevents" BEFORE INSERT ON "orgcalarevents"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcaarevetsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcalarinvons" BEFORE INSERT ON "orgcalarinvons"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcaarinvnsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcontscaties" BEFORE INSERT ON "orgcontscaties"
FOR EACH ROW
BEGIN
SELECT "Seq_orgcotscatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcotscomescaties" BEFORE INSERT ON "orgcotscomescaties"
FOR EACH ROW
BEGIN
SELECT "Seq_ogcoscoescatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcotspeolecaties" BEFORE INSERT ON "orgcotspeolecaties"
FOR EACH ROW
BEGIN
SELECT "Seq_ogcospelecatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgcotspeolecomies" BEFORE INSERT ON "orgcotspeolecomies"
FOR EACH ROW
BEGIN
SELECT "Seq_ogcospelecomesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgfolupcaties" BEFORE INSERT ON "orgfolupcaties"
FOR EACH ROW
BEGIN
SELECT "Seq_orgfoupcatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgfolupremers" BEFORE INSERT ON "orgfolupremers"
FOR EACH ROW
BEGIN
SELECT "Seq_orgfoupremrsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgfoluprecrds" BEFORE INSERT ON "orgfoluprecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_orgfouprecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orglinkslinsts" BEFORE INSERT ON "orglinkslinsts"
FOR EACH ROW
BEGIN
SELECT "Seq_orglikslintsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orglinkslinks" BEFORE INSERT ON "orglinkslinks"
FOR EACH ROW
BEGIN
SELECT "Seq_orglikslinksID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orglinksview" BEFORE INSERT ON "orglinksview"
FOR EACH ROW
BEGIN
SELECT "Seq_orgliksviewID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgnotescaties" BEFORE INSERT ON "orgnotescaties"
FOR EACH ROW
BEGIN
SELECT "Seq_orgnoescatesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgnotesnotes" BEFORE INSERT ON "orgnotesnotes"
FOR EACH ROW
BEGIN
SELECT "Seq_orgnoesnotesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgtaskscloing" BEFORE INSERT ON "orgtaskscloing"
FOR EACH ROW
BEGIN
SELECT "Seq_orgtaksclongID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_orgtasksrecrds" BEFORE INSERT ON "orgtasksrecrds"
FOR EACH ROW
BEGIN
SELECT "Seq_orgtaksrecdsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmacceys" BEFORE INSERT ON "plarmacceys"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmaccysID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmasstes" BEFORE INSERT ON "plarmasstes"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmassesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmboaems" BEFORE INSERT ON "plarmboaems"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmboamsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmcharts" BEFORE INSERT ON "plarmcharts"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmchatsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmexptes" BEFORE INSERT ON "plarmexptes"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmexpesID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmmontor" BEFORE INSERT ON "plarmmontor"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmmonorID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmserces" BEFORE INSERT ON "plarmserces"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmseresID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plrmseresacceys" BEFORE INSERT ON "plrmseresacceys"
FOR EACH ROW
BEGIN
SELECT "Seq_plmseesaccysID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmsetngs" BEFORE INSERT ON "plarmsetngs"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmsetgsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgIns_plarmtags" BEFORE INSERT ON "plarmtags"
FOR EACH ROW
BEGIN
SELECT "Seq_plrmtagsID".NEXTVAL INTO :NEW."ID" FROM DUAL; 
END;

CREATE TRIGGER "TrgUpd_plarmusers" BEFORE UPDATE ON "plarmusers"
FOR EACH ROW
BEGIN
UPDATE "colfilescaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colfilesfolers" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colfilesfolers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colfilesfiles" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colfilesfiles" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "colfilesitems" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colfilesjounal" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colfilesshouts" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colformscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colformsforums" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colformsforums" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "colformstopics" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colformsenties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colformsnotify" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colformsview" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesfolers" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesfolers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colmesesaccnts" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesestemtes" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesestemtes" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmaists" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesmaists" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmaists" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "orgcontscomies" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontscomies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcontscomies" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "colmesescomies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmaings" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmesges" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesmesges" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcontspeople" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontspeople" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcontspeople" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "colmesespeople" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colnewschaels" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colnewschaels" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colnewsnewems" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "colnewsnewems" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "colnewsview" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "crmcusrscusers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrscusers" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmbilngdelies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilnginvces" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngoffers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngorders" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngpaynts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngtemtes" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngpriuts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscamgns" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscamgns" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcamnscomies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnspeople" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnsrecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgtaskscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgtaskstasks" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgtaskstasks" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgtaskstasks" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcamnstasks" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcasesclases" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescases" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescases" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcasesrecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcasestasks" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsclases" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcontscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsconcts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsconcts" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcontsrecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcurscusrscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrsjounal" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmoppescaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmoppesoppies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "crmoppesoppies" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmoppesrecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erparcvecaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erparcvelocons" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erparcverooms" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erparcveelents" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erparcveelents" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolccaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcstoges" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcstoges" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolcitems" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcproons" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcdepons" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcdevces" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstlcitemscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprssupers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprssupers" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolcorders" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcincing" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolctemtes" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcpriuts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcsupers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprsinvces" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprsjounal" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcalarcaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcalarevents" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcalarevents" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcalarinvons" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontscaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcotscomescaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcotspeolecaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgcotspeolecomies" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgfolupcaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgfolupremers" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgfolupremers" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgfolupremers" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "orgfoluprecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orglinkslinsts" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orglinkslinsts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orglinkslinks" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orglinksview" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgnotescaties" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgnotesnotes" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgnotesnotes" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgnotesnotes" SET "assigneduser" = :NEW."username" WHERE "assigneduser" = :OLD."username"; 
UPDATE "orgtaskscloing" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "orgtasksrecrds" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmacceys" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmboaems" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmcharts" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmexptes" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmmontor" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
UPDATE "plarmmontor" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmserces" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plrmseresacceys" SET "creator" = :NEW."username" WHERE "creator" = :OLD."username"; 
UPDATE "plarmsetngs" SET "owneruser" = :NEW."username" WHERE "owneruser" = :OLD."username"; 
END;

CREATE TRIGGER "TrgUpd_plarmgroups" BEFORE UPDATE ON "plarmgroups"
FOR EACH ROW
BEGIN
UPDATE "colfilesfolers" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colformsforums" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colmesesfolers" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colmesestemtes" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colmesesmaists" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgcontscomies" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colmesesmesges" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgcontspeople" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colnewschaels" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "colnewsnewems" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "crmcusrscusers" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "crmcamnscamgns" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgtaskstasks" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "crmcasesclases" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "crmcontsclases" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "crmoppesoppies" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "erparcverooms" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "erpstolcstoges" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "erpsuprssupers" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgcalarevents" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgfolupremers" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orglinkslinsts" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "orgnotesnotes" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
UPDATE "plarmmontor" SET "ownergroup" = :NEW."groupname" WHERE "ownergroup" = :OLD."groupname"; 
END;

CREATE TRIGGER "TrgUpd_colfilesfolers" BEFORE UPDATE ON "colfilesfolers"
FOR EACH ROW
BEGIN
UPDATE "colfilesfiles" SET "folder" = :NEW."ID" WHERE "folder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colfilescaties" BEFORE UPDATE ON "colfilescaties"
FOR EACH ROW
BEGIN
UPDATE "colfilesfiles" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colfilesfiles" BEFORE UPDATE ON "colfilesfiles"
FOR EACH ROW
BEGIN
UPDATE "colfilesitems" SET "file" = :NEW."ID" WHERE "file" = :OLD."ID"; 
UPDATE "colfilesjounal" SET "file" = :NEW."ID" WHERE "file" = :OLD."ID"; 
UPDATE "colfilesshouts" SET "file" = :NEW."ID" WHERE "file" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colformscaties" BEFORE UPDATE ON "colformscaties"
FOR EACH ROW
BEGIN
UPDATE "colformsforums" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colformsforums" BEFORE UPDATE ON "colformsforums"
FOR EACH ROW
BEGIN
UPDATE "colformstopics" SET "forum" = :NEW."ID" WHERE "forum" = :OLD."ID"; 
UPDATE "colformsnotify" SET "forum" = :NEW."ID" WHERE "forum" = :OLD."ID"; 
UPDATE "colformsview" SET "forum" = :NEW."ID" WHERE "forum" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colformstopics" BEFORE UPDATE ON "colformstopics"
FOR EACH ROW
BEGIN
UPDATE "colformsenties" SET "topic" = :NEW."ID" WHERE "topic" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colmesesfolers" BEFORE UPDATE ON "colmesesfolers"
FOR EACH ROW
BEGIN
UPDATE "colmesesaccnts" SET "moveto" = :NEW."ID" WHERE "moveto" = :OLD."ID"; 
UPDATE "colmesesmesges" SET "folder" = :NEW."ID" WHERE "folder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colmesestemtes" BEFORE UPDATE ON "colmesestemtes"
FOR EACH ROW
BEGIN
UPDATE "colmesesmaists" SET "template" = :NEW."ID" WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colmesesmaists" BEFORE UPDATE ON "colmesesmaists"
FOR EACH ROW
BEGIN
UPDATE "colmesescomies" SET "mailinglist" = :NEW."ID" WHERE "mailinglist" = :OLD."ID"; 
UPDATE "colmesesmaings" SET "mailinglist" = :NEW."ID" WHERE "mailinglist" = :OLD."ID"; 
UPDATE "colmesespeople" SET "mailinglist" = :NEW."ID" WHERE "mailinglist" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgcontscomies" BEFORE UPDATE ON "orgcontscomies"
FOR EACH ROW
BEGIN
UPDATE "colmesescomies" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
UPDATE "crmcusrscusers" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
UPDATE "crmcamnscomies" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
UPDATE "erpsuprssupers" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
UPDATE "orgcotscomescaties" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
UPDATE "orgcotspeolecomies" SET "company" = :NEW."ID" WHERE "company" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colmesesaccnts" BEFORE UPDATE ON "colmesesaccnts"
FOR EACH ROW
BEGIN
UPDATE "colmesesmesges" SET "account" = :NEW."ID" WHERE "account" = :OLD."ID"; 
UPDATE "colmesesmsglog" SET "account" = :NEW."ID" WHERE "account" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgcontspeople" BEFORE UPDATE ON "orgcontspeople"
FOR EACH ROW
BEGIN
UPDATE "colmesespeople" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
UPDATE "crmcusrscusers" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
UPDATE "crmcamnspeople" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
UPDATE "crmcusrsjounal" SET "contact" = :NEW."ID" WHERE "contact" = :OLD."ID"; 
UPDATE "erpsuprssupers" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
UPDATE "erpsuprsjounal" SET "contact" = :NEW."ID" WHERE "contact" = :OLD."ID"; 
UPDATE "orgcotspeolecaties" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
UPDATE "orgcotspeolecomies" SET "person" = :NEW."ID" WHERE "person" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_colnewschaels" BEFORE UPDATE ON "colnewschaels"
FOR EACH ROW
BEGIN
UPDATE "colnewsnewems" SET "channel" = :NEW."ID" WHERE "channel" = :OLD."ID"; 
UPDATE "colnewsview" SET "channel" = :NEW."ID" WHERE "channel" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcusrscusers" BEFORE UPDATE ON "crmcusrscusers"
FOR EACH ROW
BEGIN
UPDATE "crmbilngdelies" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilnginvces" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilngoffers" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilngorders" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmcasescases" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmcontsconcts" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmcurscusrscaties" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmcusrsjounal" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
UPDATE "crmoppesoppies" SET "customer" = :NEW."ID" WHERE "customer" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmbilnginvces" BEFORE UPDATE ON "crmbilnginvces"
FOR EACH ROW
BEGIN
UPDATE "crmbinginvesdelies" SET "invoice" = :NEW."ID" WHERE "invoice" = :OLD."ID"; 
UPDATE "crmbilngpaynts" SET "invoice" = :NEW."ID" WHERE "invoice" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmbilngdelies" BEFORE UPDATE ON "crmbilngdelies"
FOR EACH ROW
BEGIN
UPDATE "crmbinginvesdelies" SET "delivery" = :NEW."ID" WHERE "delivery" = :OLD."ID"; 
UPDATE "erpstolcdepons" SET "delivery" = :NEW."ID" WHERE "delivery" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmbilngtemtes" BEFORE UPDATE ON "crmbilngtemtes"
FOR EACH ROW
BEGIN
UPDATE "crmbilngpriuts" SET "template" = :NEW."ID" WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcamnscaties" BEFORE UPDATE ON "crmcamnscaties"
FOR EACH ROW
BEGIN
UPDATE "crmcamnscamgns" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcamnscamgns" BEFORE UPDATE ON "crmcamnscamgns"
FOR EACH ROW
BEGIN
UPDATE "crmcamnscomies" SET "campaign" = :NEW."ID" WHERE "campaign" = :OLD."ID"; 
UPDATE "crmcamnspeople" SET "campaign" = :NEW."ID" WHERE "campaign" = :OLD."ID"; 
UPDATE "crmcamnsrecrds" SET "campaign" = :NEW."ID" WHERE "campaign" = :OLD."ID"; 
UPDATE "crmcamnstasks" SET "campaign" = :NEW."ID" WHERE "campaign" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgtaskscaties" BEFORE UPDATE ON "orgtaskscaties"
FOR EACH ROW
BEGIN
UPDATE "orgtaskstasks" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgtaskstasks" BEFORE UPDATE ON "orgtaskstasks"
FOR EACH ROW
BEGIN
UPDATE "crmcamnstasks" SET "task" = :NEW."ID" WHERE "task" = :OLD."ID"; 
UPDATE "crmcasestasks" SET "task" = :NEW."ID" WHERE "task" = :OLD."ID"; 
UPDATE "orgtaskscloing" SET "task" = :NEW."ID" WHERE "task" = :OLD."ID"; 
UPDATE "orgtasksrecrds" SET "task" = :NEW."ID" WHERE "task" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcasesclases" BEFORE UPDATE ON "crmcasesclases"
FOR EACH ROW
BEGIN
UPDATE "crmcasescases" SET "class" = :NEW."ID" WHERE "class" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcasescaties" BEFORE UPDATE ON "crmcasescaties"
FOR EACH ROW
BEGIN
UPDATE "crmcasescases" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcasescases" BEFORE UPDATE ON "crmcasescases"
FOR EACH ROW
BEGIN
UPDATE "crmcasesrecrds" SET "case" = :NEW."ID" WHERE "case" = :OLD."ID"; 
UPDATE "crmcasestasks" SET "case" = :NEW."ID" WHERE "case" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcontsclases" BEFORE UPDATE ON "crmcontsclases"
FOR EACH ROW
BEGIN
UPDATE "crmcontsconcts" SET "class" = :NEW."ID" WHERE "class" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcontscaties" BEFORE UPDATE ON "crmcontscaties"
FOR EACH ROW
BEGIN
UPDATE "crmcontsconcts" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcontsconcts" BEFORE UPDATE ON "crmcontsconcts"
FOR EACH ROW
BEGIN
UPDATE "crmcontsrecrds" SET "contract" = :NEW."ID" WHERE "contract" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmcusrscaties" BEFORE UPDATE ON "crmcusrscaties"
FOR EACH ROW
BEGIN
UPDATE "crmcurscusrscaties" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmoppescaties" BEFORE UPDATE ON "crmoppescaties"
FOR EACH ROW
BEGIN
UPDATE "crmoppesoppies" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_crmoppesoppies" BEFORE UPDATE ON "crmoppesoppies"
FOR EACH ROW
BEGIN
UPDATE "crmoppesrecrds" SET "opportunity" = :NEW."ID" WHERE "opportunity" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erparcvelocons" BEFORE UPDATE ON "erparcvelocons"
FOR EACH ROW
BEGIN
UPDATE "erparcverooms" SET "location" = :NEW."ID" WHERE "location" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erparcverooms" BEFORE UPDATE ON "erparcverooms"
FOR EACH ROW
BEGIN
UPDATE "erparcveelents" SET "room" = :NEW."ID" WHERE "room" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erparcvecaties" BEFORE UPDATE ON "erparcvecaties"
FOR EACH ROW
BEGIN
UPDATE "erparcveelents" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcstoges" BEFORE UPDATE ON "erpstolcstoges"
FOR EACH ROW
BEGIN
UPDATE "erpstolcitems" SET "storage" = :NEW."ID" WHERE "storage" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcitems" BEFORE UPDATE ON "erpstolcitems"
FOR EACH ROW
BEGIN
UPDATE "erpstolcproons" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstolcdepons" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstolcdevces" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstlcitemscaties" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstolcorders" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstolcincing" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
UPDATE "erpstolcsupers" SET "item" = :NEW."ID" WHERE "item" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcproons" BEFORE UPDATE ON "erpstolcproons"
FOR EACH ROW
BEGIN
UPDATE "erpstolcdepons" SET "production" = :NEW."ID" WHERE "production" = :OLD."ID"; 
UPDATE "erpstolcincing" SET "production" = :NEW."ID" WHERE "production" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcdepons" BEFORE UPDATE ON "erpstolcdepons"
FOR EACH ROW
BEGIN
UPDATE "erpstlcdepnsserals" SET "depletion" = :NEW."ID" WHERE "depletion" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolccaties" BEFORE UPDATE ON "erpstolccaties"
FOR EACH ROW
BEGIN
UPDATE "erpstlcitemscaties" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
UPDATE "erpsuprscaties" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpsuprssupers" BEFORE UPDATE ON "erpsuprssupers"
FOR EACH ROW
BEGIN
UPDATE "erpstolcorders" SET "supplier" = :NEW."ID" WHERE "supplier" = :OLD."ID"; 
UPDATE "erpstolcsupers" SET "supplier" = :NEW."ID" WHERE "supplier" = :OLD."ID"; 
UPDATE "erpsuprscaties" SET "supplier" = :NEW."ID" WHERE "supplier" = :OLD."ID"; 
UPDATE "erpsuprsinvces" SET "supplier" = :NEW."ID" WHERE "supplier" = :OLD."ID"; 
UPDATE "erpsuprsjounal" SET "supplier" = :NEW."ID" WHERE "supplier" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcorders" BEFORE UPDATE ON "erpstolcorders"
FOR EACH ROW
BEGIN
UPDATE "erpstolcincing" SET "order" = :NEW."ID" WHERE "order" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolcincing" BEFORE UPDATE ON "erpstolcincing"
FOR EACH ROW
BEGIN
UPDATE "erpstlcincngserals" SET "incoming" = :NEW."ID" WHERE "incoming" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_erpstolctemtes" BEFORE UPDATE ON "erpstolctemtes"
FOR EACH ROW
BEGIN
UPDATE "erpstolcpriuts" SET "template" = :NEW."ID" WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgcalarcaties" BEFORE UPDATE ON "orgcalarcaties"
FOR EACH ROW
BEGIN
UPDATE "orgcalarevents" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgcalarevents" BEFORE UPDATE ON "orgcalarevents"
FOR EACH ROW
BEGIN
UPDATE "orgcalarinvons" SET "event" = :NEW."ID" WHERE "event" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgcontscaties" BEFORE UPDATE ON "orgcontscaties"
FOR EACH ROW
BEGIN
UPDATE "orgcotscomescaties" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
UPDATE "orgcotspeolecaties" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgfolupcaties" BEFORE UPDATE ON "orgfolupcaties"
FOR EACH ROW
BEGIN
UPDATE "orgfolupremers" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgfolupremers" BEFORE UPDATE ON "orgfolupremers"
FOR EACH ROW
BEGIN
UPDATE "orgfoluprecrds" SET "reminder" = :NEW."ID" WHERE "reminder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orglinkslinsts" BEFORE UPDATE ON "orglinkslinsts"
FOR EACH ROW
BEGIN
UPDATE "orglinkslinks" SET "linklist" = :NEW."ID" WHERE "linklist" = :OLD."ID"; 
UPDATE "orglinksview" SET "linklist" = :NEW."ID" WHERE "linklist" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_orgnotescaties" BEFORE UPDATE ON "orgnotescaties"
FOR EACH ROW
BEGIN
UPDATE "orgnotesnotes" SET "category" = :NEW."ID" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_plarmserces" BEFORE UPDATE ON "plarmserces"
FOR EACH ROW
BEGIN
UPDATE "plrmseresacceys" SET "service" = :NEW."ID" WHERE "service" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgUpd_plarmacceys" BEFORE UPDATE ON "plarmacceys"
FOR EACH ROW
BEGIN
UPDATE "plrmseresacceys" SET "accesskey" = :NEW."ID" WHERE "accesskey" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_plarmusers" BEFORE DELETE ON "plarmusers"
FOR EACH ROW
BEGIN
UPDATE "colfilescaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colfilesfolers" WHERE "owneruser" = :OLD."username"; 
UPDATE "colfilesfolers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colfilesfiles" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colfilesfiles" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "colfilesitems" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colfilesjounal" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colfilesshouts" WHERE "owneruser" = :OLD."username"; 
UPDATE "colformscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colformsforums" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colformsforums" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "colformstopics" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colformsenties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colformsnotify" WHERE "owneruser" = :OLD."username"; 
DELETE FROM "colformsview" WHERE "owneruser" = :OLD."username"; 
DELETE FROM "colmesesfolers" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesfolers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colmesesaccnts" WHERE "owneruser" = :OLD."username"; 
DELETE FROM "colmesestemtes" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesestemtes" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colmesesmaists" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesmaists" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmaists" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
DELETE FROM "orgcontscomies" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontscomies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcontscomies" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "colmesescomies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "colmesesmaings" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colmesesmesges" WHERE "owneruser" = :OLD."username"; 
UPDATE "colmesesmesges" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgcontspeople" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontspeople" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcontspeople" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "colmesespeople" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colnewschaels" WHERE "owneruser" = :OLD."username"; 
UPDATE "colnewschaels" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colnewsnewems" WHERE "owneruser" = :OLD."username"; 
UPDATE "colnewsnewems" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "colnewsview" WHERE "owneruser" = :OLD."username"; 
UPDATE "crmcusrscusers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrscusers" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmbilngdelies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilnginvces" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngoffers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngorders" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngpaynts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngtemtes" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmbilngpriuts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscamgns" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnscamgns" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcamnscomies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnspeople" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcamnsrecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgtaskscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgtaskstasks" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgtaskstasks" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgtaskstasks" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcamnstasks" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcasesclases" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescases" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcasescases" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcasesrecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcasestasks" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsclases" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcontscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsconcts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcontsconcts" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmcontsrecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcurscusrscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmcusrsjounal" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmoppescaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmoppesoppies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "crmoppesoppies" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "crmoppesrecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erparcvecaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erparcvelocons" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erparcverooms" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erparcveelents" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erparcveelents" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolccaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcstoges" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcstoges" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolcitems" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcproons" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcdepons" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcdevces" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstlcitemscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprssupers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprssupers" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "erpstolcorders" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcincing" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolctemtes" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcpriuts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpstolcsupers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprsinvces" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "erpsuprsjounal" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcalarcaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgcalarevents" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcalarevents" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgcalarinvons" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgcontscaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcotscomescaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcotspeolecaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgcotspeolecomies" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgfolupcaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgfolupremers" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgfolupremers" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgfolupremers" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "orgfoluprecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orglinkslinsts" WHERE "owneruser" = :OLD."username"; 
UPDATE "orglinkslinsts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orglinkslinks" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orglinksview" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgnotescaties" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "orgnotesnotes" WHERE "owneruser" = :OLD."username"; 
UPDATE "orgnotesnotes" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgnotesnotes" SET "assigneduser" = NULL WHERE "assigneduser" = :OLD."username"; 
UPDATE "orgtaskscloing" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "orgtasksrecrds" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plarmacceys" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plarmboaems" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plarmcharts" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plarmexptes" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "plarmmontor" WHERE "owneruser" = :OLD."username"; 
UPDATE "plarmmontor" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plarmserces" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
UPDATE "plrmseresacceys" SET "creator" = NULL WHERE "creator" = :OLD."username"; 
DELETE FROM "plarmsetngs" WHERE "owneruser" = :OLD."username"; 
END;

CREATE TRIGGER "TrgDel_plarmgroups" BEFORE DELETE ON "plarmgroups"
FOR EACH ROW
BEGIN
DELETE FROM "colfilesfolers" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colformsforums" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colmesesfolers" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colmesestemtes" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colmesesmaists" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgcontscomies" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colmesesmesges" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgcontspeople" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colnewschaels" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "colnewsnewems" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "crmcusrscusers" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "crmcamnscamgns" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgtaskstasks" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "crmcasesclases" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "crmcontsclases" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "crmoppesoppies" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "erparcverooms" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "erpstolcstoges" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "erpsuprssupers" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgcalarevents" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgfolupremers" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orglinkslinsts" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "orgnotesnotes" WHERE "ownergroup" = :OLD."groupname"; 
DELETE FROM "plarmmontor" WHERE "ownergroup" = :OLD."groupname"; 
END;

CREATE TRIGGER "TrgDel_colfilesfolers" BEFORE DELETE ON "colfilesfolers"
FOR EACH ROW
BEGIN
DELETE FROM "colfilesfiles" WHERE "folder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colfilescaties" BEFORE DELETE ON "colfilescaties"
FOR EACH ROW
BEGIN
UPDATE "colfilesfiles" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colfilesfiles" BEFORE DELETE ON "colfilesfiles"
FOR EACH ROW
BEGIN
DELETE FROM "colfilesitems" WHERE "file" = :OLD."ID"; 
DELETE FROM "colfilesjounal" WHERE "file" = :OLD."ID"; 
DELETE FROM "colfilesshouts" WHERE "file" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colformscaties" BEFORE DELETE ON "colformscaties"
FOR EACH ROW
BEGIN
UPDATE "colformsforums" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colformsforums" BEFORE DELETE ON "colformsforums"
FOR EACH ROW
BEGIN
DELETE FROM "colformstopics" WHERE "forum" = :OLD."ID"; 
DELETE FROM "colformsnotify" WHERE "forum" = :OLD."ID"; 
DELETE FROM "colformsview" WHERE "forum" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colformstopics" BEFORE DELETE ON "colformstopics"
FOR EACH ROW
BEGIN
DELETE FROM "colformsenties" WHERE "topic" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colmesesfolers" BEFORE DELETE ON "colmesesfolers"
FOR EACH ROW
BEGIN
UPDATE "colmesesaccnts" SET "moveto" = NULL WHERE "moveto" = :OLD."ID"; 
DELETE FROM "colmesesmesges" WHERE "folder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colmesestemtes" BEFORE DELETE ON "colmesestemtes"
FOR EACH ROW
BEGIN
UPDATE "colmesesmaists" SET "template" = NULL WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colmesesmaists" BEFORE DELETE ON "colmesesmaists"
FOR EACH ROW
BEGIN
DELETE FROM "colmesescomies" WHERE "mailinglist" = :OLD."ID"; 
DELETE FROM "colmesesmaings" WHERE "mailinglist" = :OLD."ID"; 
DELETE FROM "colmesespeople" WHERE "mailinglist" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgcontscomies" BEFORE DELETE ON "orgcontscomies"
FOR EACH ROW
BEGIN
DELETE FROM "colmesescomies" WHERE "company" = :OLD."ID"; 
UPDATE "crmcusrscusers" SET "company" = NULL WHERE "company" = :OLD."ID"; 
DELETE FROM "crmcamnscomies" WHERE "company" = :OLD."ID"; 
UPDATE "erpsuprssupers" SET "company" = NULL WHERE "company" = :OLD."ID"; 
DELETE FROM "orgcotscomescaties" WHERE "company" = :OLD."ID"; 
DELETE FROM "orgcotspeolecomies" WHERE "company" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colmesesaccnts" BEFORE DELETE ON "colmesesaccnts"
FOR EACH ROW
BEGIN
UPDATE "colmesesmesges" SET "account" = NULL WHERE "account" = :OLD."ID"; 
DELETE FROM "colmesesmsglog" WHERE "account" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgcontspeople" BEFORE DELETE ON "orgcontspeople"
FOR EACH ROW
BEGIN
DELETE FROM "colmesespeople" WHERE "person" = :OLD."ID"; 
UPDATE "crmcusrscusers" SET "person" = NULL WHERE "person" = :OLD."ID"; 
DELETE FROM "crmcamnspeople" WHERE "person" = :OLD."ID"; 
UPDATE "crmcusrsjounal" SET "contact" = NULL WHERE "contact" = :OLD."ID"; 
UPDATE "erpsuprssupers" SET "person" = NULL WHERE "person" = :OLD."ID"; 
UPDATE "erpsuprsjounal" SET "contact" = NULL WHERE "contact" = :OLD."ID"; 
DELETE FROM "orgcotspeolecaties" WHERE "person" = :OLD."ID"; 
DELETE FROM "orgcotspeolecomies" WHERE "person" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_colnewschaels" BEFORE DELETE ON "colnewschaels"
FOR EACH ROW
BEGIN
DELETE FROM "colnewsnewems" WHERE "channel" = :OLD."ID"; 
DELETE FROM "colnewsview" WHERE "channel" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcusrscusers" BEFORE DELETE ON "crmcusrscusers"
FOR EACH ROW
BEGIN
UPDATE "crmbilngdelies" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilnginvces" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilngoffers" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
UPDATE "crmbilngorders" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
UPDATE "crmcasescases" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
UPDATE "crmcontsconcts" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
DELETE FROM "crmcurscusrscaties" WHERE "customer" = :OLD."ID"; 
DELETE FROM "crmcusrsjounal" WHERE "customer" = :OLD."ID"; 
UPDATE "crmoppesoppies" SET "customer" = NULL WHERE "customer" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmbilnginvces" BEFORE DELETE ON "crmbilnginvces"
FOR EACH ROW
BEGIN
DELETE FROM "crmbinginvesdelies" WHERE "invoice" = :OLD."ID"; 
DELETE FROM "crmbilngpaynts" WHERE "invoice" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmbilngdelies" BEFORE DELETE ON "crmbilngdelies"
FOR EACH ROW
BEGIN
DELETE FROM "crmbinginvesdelies" WHERE "delivery" = :OLD."ID"; 
UPDATE "erpstolcdepons" SET "delivery" = NULL WHERE "delivery" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmbilngtemtes" BEFORE DELETE ON "crmbilngtemtes"
FOR EACH ROW
BEGIN
UPDATE "crmbilngpriuts" SET "template" = NULL WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcamnscaties" BEFORE DELETE ON "crmcamnscaties"
FOR EACH ROW
BEGIN
UPDATE "crmcamnscamgns" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcamnscamgns" BEFORE DELETE ON "crmcamnscamgns"
FOR EACH ROW
BEGIN
DELETE FROM "crmcamnscomies" WHERE "campaign" = :OLD."ID"; 
DELETE FROM "crmcamnspeople" WHERE "campaign" = :OLD."ID"; 
DELETE FROM "crmcamnsrecrds" WHERE "campaign" = :OLD."ID"; 
DELETE FROM "crmcamnstasks" WHERE "campaign" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgtaskscaties" BEFORE DELETE ON "orgtaskscaties"
FOR EACH ROW
BEGIN
UPDATE "orgtaskstasks" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgtaskstasks" BEFORE DELETE ON "orgtaskstasks"
FOR EACH ROW
BEGIN
DELETE FROM "crmcamnstasks" WHERE "task" = :OLD."ID"; 
DELETE FROM "crmcasestasks" WHERE "task" = :OLD."ID"; 
DELETE FROM "orgtaskscloing" WHERE "task" = :OLD."ID"; 
DELETE FROM "orgtasksrecrds" WHERE "task" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcasesclases" BEFORE DELETE ON "crmcasesclases"
FOR EACH ROW
BEGIN
DELETE FROM "crmcasescases" WHERE "class" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcasescaties" BEFORE DELETE ON "crmcasescaties"
FOR EACH ROW
BEGIN
UPDATE "crmcasescases" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcasescases" BEFORE DELETE ON "crmcasescases"
FOR EACH ROW
BEGIN
DELETE FROM "crmcasesrecrds" WHERE "case" = :OLD."ID"; 
DELETE FROM "crmcasestasks" WHERE "case" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcontsclases" BEFORE DELETE ON "crmcontsclases"
FOR EACH ROW
BEGIN
DELETE FROM "crmcontsconcts" WHERE "class" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcontscaties" BEFORE DELETE ON "crmcontscaties"
FOR EACH ROW
BEGIN
UPDATE "crmcontsconcts" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcontsconcts" BEFORE DELETE ON "crmcontsconcts"
FOR EACH ROW
BEGIN
DELETE FROM "crmcontsrecrds" WHERE "contract" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmcusrscaties" BEFORE DELETE ON "crmcusrscaties"
FOR EACH ROW
BEGIN
DELETE FROM "crmcurscusrscaties" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmoppescaties" BEFORE DELETE ON "crmoppescaties"
FOR EACH ROW
BEGIN
UPDATE "crmoppesoppies" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_crmoppesoppies" BEFORE DELETE ON "crmoppesoppies"
FOR EACH ROW
BEGIN
DELETE FROM "crmoppesrecrds" WHERE "opportunity" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erparcvelocons" BEFORE DELETE ON "erparcvelocons"
FOR EACH ROW
BEGIN
UPDATE "erparcverooms" SET "location" = NULL WHERE "location" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erparcverooms" BEFORE DELETE ON "erparcverooms"
FOR EACH ROW
BEGIN
DELETE FROM "erparcveelents" WHERE "room" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erparcvecaties" BEFORE DELETE ON "erparcvecaties"
FOR EACH ROW
BEGIN
UPDATE "erparcveelents" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcstoges" BEFORE DELETE ON "erpstolcstoges"
FOR EACH ROW
BEGIN
DELETE FROM "erpstolcitems" WHERE "storage" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcitems" BEFORE DELETE ON "erpstolcitems"
FOR EACH ROW
BEGIN
DELETE FROM "erpstolcproons" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstolcdepons" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstolcdevces" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstlcitemscaties" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstolcorders" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstolcincing" WHERE "item" = :OLD."ID"; 
DELETE FROM "erpstolcsupers" WHERE "item" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcproons" BEFORE DELETE ON "erpstolcproons"
FOR EACH ROW
BEGIN
UPDATE "erpstolcdepons" SET "production" = NULL WHERE "production" = :OLD."ID"; 
UPDATE "erpstolcincing" SET "production" = NULL WHERE "production" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcdepons" BEFORE DELETE ON "erpstolcdepons"
FOR EACH ROW
BEGIN
DELETE FROM "erpstlcdepnsserals" WHERE "depletion" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolccaties" BEFORE DELETE ON "erpstolccaties"
FOR EACH ROW
BEGIN
DELETE FROM "erpstlcitemscaties" WHERE "category" = :OLD."ID"; 
DELETE FROM "erpsuprscaties" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpsuprssupers" BEFORE DELETE ON "erpsuprssupers"
FOR EACH ROW
BEGIN
UPDATE "erpstolcorders" SET "supplier" = NULL WHERE "supplier" = :OLD."ID"; 
DELETE FROM "erpstolcsupers" WHERE "supplier" = :OLD."ID"; 
DELETE FROM "erpsuprscaties" WHERE "supplier" = :OLD."ID"; 
DELETE FROM "erpsuprsinvces" WHERE "supplier" = :OLD."ID"; 
DELETE FROM "erpsuprsjounal" WHERE "supplier" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcorders" BEFORE DELETE ON "erpstolcorders"
FOR EACH ROW
BEGIN
UPDATE "erpstolcincing" SET "order" = NULL WHERE "order" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolcincing" BEFORE DELETE ON "erpstolcincing"
FOR EACH ROW
BEGIN
DELETE FROM "erpstlcincngserals" WHERE "incoming" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_erpstolctemtes" BEFORE DELETE ON "erpstolctemtes"
FOR EACH ROW
BEGIN
UPDATE "erpstolcpriuts" SET "template" = NULL WHERE "template" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgcalarcaties" BEFORE DELETE ON "orgcalarcaties"
FOR EACH ROW
BEGIN
UPDATE "orgcalarevents" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgcalarevents" BEFORE DELETE ON "orgcalarevents"
FOR EACH ROW
BEGIN
DELETE FROM "orgcalarinvons" WHERE "event" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgcontscaties" BEFORE DELETE ON "orgcontscaties"
FOR EACH ROW
BEGIN
DELETE FROM "orgcotscomescaties" WHERE "category" = :OLD."ID"; 
DELETE FROM "orgcotspeolecaties" WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgfolupcaties" BEFORE DELETE ON "orgfolupcaties"
FOR EACH ROW
BEGIN
UPDATE "orgfolupremers" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgfolupremers" BEFORE DELETE ON "orgfolupremers"
FOR EACH ROW
BEGIN
DELETE FROM "orgfoluprecrds" WHERE "reminder" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orglinkslinsts" BEFORE DELETE ON "orglinkslinsts"
FOR EACH ROW
BEGIN
DELETE FROM "orglinkslinks" WHERE "linklist" = :OLD."ID"; 
DELETE FROM "orglinksview" WHERE "linklist" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_orgnotescaties" BEFORE DELETE ON "orgnotescaties"
FOR EACH ROW
BEGIN
UPDATE "orgnotesnotes" SET "category" = NULL WHERE "category" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_plarmserces" BEFORE DELETE ON "plarmserces"
FOR EACH ROW
BEGIN
DELETE FROM "plrmseresacceys" WHERE "service" = :OLD."ID"; 
END;

CREATE TRIGGER "TrgDel_plarmacceys" BEFORE DELETE ON "plarmacceys"
FOR EACH ROW
BEGIN
DELETE FROM "plrmseresacceys" WHERE "accesskey" = :OLD."ID"; 
END;